## ros-noetic-microstrain-inertial-examples 3.0.1

=== debian/changelog ===
ros-noetic-microstrain-inertial-examples (3.0.1-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 10 Feb 2023 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (3.0.0-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 11 Jan 2023 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.7.1-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 09 Nov 2022 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.7.0-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 23 Sep 2022 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.6.0-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 25 May 2022 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.5.1-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.5.0-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 27 Jan 2022 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.4.1-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 06 Jan 2022 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.4.0-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 05 Jan 2022 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.3.0-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 22 Dec 2021 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.2.1-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 09 Dec 2021 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.2.0-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 03 Dec 2021 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.1.0-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 12 Nov 2021 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.5-1buster) buster; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 19 Oct 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.4-1buster) buster; urgency=high

  * Upgrade CMake version and removes unused include in examples
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 08 Sep 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.3-1buster) buster; urgency=high

  * Fixes missing dependencies in example and checks gcc directly for architecture
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 08 Sep 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.2-1buster) buster; urgency=high

  * Fixes cmake warnings and updates maintainers
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Mon, 30 Aug 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.1-1buster) buster; urgency=high



 -- mgill <melissa_gill@lord.com>  Tue, 24 Aug 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.0-1buster) buster; urgency=high

  * Consolidates examples to single package
  * Contributors: Rob Fisher

 -- mgill <melissa_gill@lord.com>  Tue, 24 Aug 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (1.1.4-1buster) buster; urgency=high

  * Merge branch 'master' of https://github.com/LORD-MicroStrain/ROS-MSCL into develop
  * Properly installs examples to match instructions
  * Contributors: robbiefish

 -- mgill <melissa_gill@lord.com>  Fri, 30 Jul 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (1.1.3-1buster) buster; urgency=high

  * Removed duplicate Filter LLH Pos entry in message format
    Preparing for release on Bloom
  * 
    
      * move driver package content to ros_mscl folder
      * add name argument to microstrain.launch file to specify the namespace (default: gx5)
      * update README.md
      * add basic subscriber example (C++)
    
  * Contributors: Nathan Miller, mgill

 -- mgill <melissa_gill@lord.com>  Wed, 21 Apr 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (0.0.4-1buster) buster; urgency=high



 -- mgill <melissa_gill@lord.com>  Mon, 07 Oct 2019 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (0.0.3-1buster) buster; urgency=high



 -- mgill <melissa_gill@lord.com>  Mon, 05 Aug 2019 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (0.0.2-1buster) buster; urgency=high



 -- mgill <melissa_gill@lord.com>  Tue, 28 May 2019 04:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-microstrain-inertial-examples//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-microstrain-inertial-examples 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(microstrain_inertial_examples)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  roslint
  sensor_msgs
  microstrain_inertial_msgs
)

catkin_package(
  CATKIN_DEPENDS
    roscpp
    rospy
    sensor_msgs
    microstrain_inertial_msgs
    cmake_modules
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

# CPP Listener
set(LISTENER_CPP listener_cpp)
set(LISTENER_CPP_SRC_FILES src/listener.cpp)
add_executable(${LISTENER_CPP} ${LISTENER_CPP_SRC_FILES})
target_link_libraries(${LISTENER_CPP} ${catkin_LIBRARIES})
add_dependencies(${LISTENER_CPP}
  ${catkin_EXPORTED_TARGETS}
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
)

# Python Listener
catkin_install_python(PROGRAMS scripts/listener.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install the C++ Examples
install(TARGETS ${LISTENER_CPP}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install the launch files
install(DIRECTORY launch/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

roslint_cpp(${LISTENER_CPP_SRC_FILES})

=== debian/changelog ===
ros-noetic-microstrain-inertial-examples (3.1.0-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 25 Jul 2023 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (3.0.1-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 10 Feb 2023 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (3.0.0-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 11 Jan 2023 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.7.1-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 09 Nov 2022 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.7.0-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 23 Sep 2022 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.6.0-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 25 May 2022 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.5.1-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.5.0-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 27 Jan 2022 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.4.1-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 06 Jan 2022 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.4.0-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 05 Jan 2022 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.3.0-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 22 Dec 2021 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.2.1-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 09 Dec 2021 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.2.0-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 03 Dec 2021 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.1.0-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 12 Nov 2021 05:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.5-1focal) focal; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 19 Oct 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.4-1focal) focal; urgency=high

  * Upgrade CMake version and removes unused include in examples
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 08 Sep 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.3-1focal) focal; urgency=high

  * Fixes missing dependencies in example and checks gcc directly for architecture
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 08 Sep 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.2-1focal) focal; urgency=high

  * Fixes cmake warnings and updates maintainers
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Mon, 30 Aug 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.1-1focal) focal; urgency=high



 -- mgill <melissa_gill@lord.com>  Tue, 24 Aug 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (2.0.0-1focal) focal; urgency=high

  * Consolidates examples to single package
  * Contributors: Rob Fisher

 -- mgill <melissa_gill@lord.com>  Tue, 24 Aug 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (1.1.4-1focal) focal; urgency=high

  * Merge branch 'master' of https://github.com/LORD-MicroStrain/ROS-MSCL into develop
  * Properly installs examples to match instructions
  * Contributors: robbiefish

 -- mgill <melissa_gill@lord.com>  Fri, 30 Jul 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (1.1.3-1focal) focal; urgency=high

  * Removed duplicate Filter LLH Pos entry in message format
    Preparing for release on Bloom
  * 
    
      * move driver package content to ros_mscl folder
      * add name argument to microstrain.launch file to specify the namespace (default: gx5)
      * update README.md
      * add basic subscriber example (C++)
    
  * Contributors: Nathan Miller, mgill

 -- mgill <melissa_gill@lord.com>  Wed, 21 Apr 2021 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (0.0.4-1focal) focal; urgency=high



 -- mgill <melissa_gill@lord.com>  Mon, 07 Oct 2019 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (0.0.3-1focal) focal; urgency=high



 -- mgill <melissa_gill@lord.com>  Mon, 05 Aug 2019 04:00:00 -0000

ros-noetic-microstrain-inertial-examples (0.0.2-1focal) focal; urgency=high



 -- mgill <melissa_gill@lord.com>  Tue, 28 May 2019 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-microstrain-inertial-examples
Section: misc
Priority: optional
Maintainer: Rob Fisher <rob.fisher@parker.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-microstrain-inertial-msgs, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: https://github.com/LORD-MicroStrain/microstrain_inertial
Standards-Version: 3.9.2

Package: ros-noetic-microstrain-inertial-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cmake-modules, ros-noetic-microstrain-inertial-msgs, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: Example listener for Parker LORD Sensing inertial device driver ros_mscl (C++).
